## AgsFxTremoloAudio

AgsFxTremoloAudio — fx tremolo audio

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsFxTremoloAudio * | ags_fx_tremolo_audio_new ()

## Properties

AgsPort * | tremolo-enabled | Read / Write
AgsPort * | tremolo-gain | Read / Write
AgsPort * | tremolo-lfo-depth | Read / Write
AgsPort * | tremolo-lfo-freq | Read / Write
AgsPort * | tremolo-tuning | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallAudio
                ╰── AgsFxTremoloAudio

## Includes

    #include <ags/audio/fx/ags_fx_tremolo_audio.h>

## Description

The AgsFxTremoloAudio class provides ports to the effect processor.

## Functions

### ags_fx_tremolo_audio_new ()

    AgsFxTremoloAudio *
    ags_fx_tremolo_audio_new (AgsAudio *audio);

Create a new instance of AgsFxTremoloAudio

#### Parameters

audio | the AgsAudio |

#### Returns

the new AgsFxTremoloAudio

Since: 5.2.0

## Property Details

### The `“tremolo-enabled”` property

      “tremolo-enabled”          AgsPort *

The tremolo's enabled port.

Owner: AgsFxTremoloAudio

Flags: Read / Write

Since: 5.2.0

### The `“tremolo-gain”` property

      “tremolo-gain”             AgsPort *

The tremolo's gain port.

Owner: AgsFxTremoloAudio

Flags: Read / Write

Since: 5.2.0

### The `“tremolo-lfo-depth”` property

      “tremolo-lfo-depth”        AgsPort *

The tremolo's lfo-depth port.

Owner: AgsFxTremoloAudio

Flags: Read / Write

Since: 5.2.0

### The `“tremolo-lfo-freq”` property

      “tremolo-lfo-freq”         AgsPort *

The tremolo's lfo-freq port.

Owner: AgsFxTremoloAudio

Flags: Read / Write

Since: 5.2.0

### The `“tremolo-tuning”` property

      “tremolo-tuning”           AgsPort *

The tremolo's tuning port.

Owner: AgsFxTremoloAudio

Flags: Read / Write

Since: 5.2.0